%___________________________________________________________________%
%  integrated cuckoo search optimizer source codes version 1.0      %
%                                                                   %
%  Developed in MATLAB R2011a                                       %
%                                                                   %
%  Author and programmer: Xiangbo Qi                                %
%                                                                   %
%         e-Mail: drqixiangbo@gmail.com                             %
%                 ustcdragon@syu.edu.cn                             %
%                                                                   %
%                                                                   %
%                                                                   %
%   Main paper: Xiangbo Qi etal.                                    %
%              An integrated cuckoo search optimizer for single     %
%              and multi-objective optimization problems            %
%                                                                   %
%___________________________________________________________________%
function [ nestPop,ObjValnestPop,evaluationNow ] = func_bestNestPop( nestPop,new_nestPop,objfun,func_num,ObjValnestPop,evaluationNow )
[N,D] = size(nestPop) ;
ObjValnew_nestPop=feval(objfun,new_nestPop,func_num);
evaluationNow=evaluationNow+N;
index = find(ObjValnestPop>ObjValnew_nestPop) ;
nestPop(index,:) = new_nestPop(index,:) ;
ObjValnestPop(index,:)=ObjValnew_nestPop(index,:);
end