%___________________________________________________________________%
%  integrated cuckoo search optimizer source codes version 1.0      %
%                                                                   %
%  Developed in MATLAB R2011a                                       %
%                                                                   %
%  Author and programmer: Xiangbo Qi                                %
%                                                                   %
%         e-Mail: drqixiangbo@gmail.com                             %
%                 ustcdragon@syu.edu.cn                             %
%                                                                   %
%                                                                   %
%                                                                   %
%   Main paper: Xiangbo Qi etal.                                    %
%              An integrated cuckoo search optimizer for single     %
%              and multi-objective optimization problems            %
%                                                                   %
%___________________________________________________________________%
function fFitness=calculateFitness(fObjV,minValue)
ind=find(fObjV>=0);
fFitness(ind)=1./(fObjV(ind)+1);
ind=find(fObjV<0);
fFitness(ind)=1+abs(fObjV(ind));

